Bug 1026339 - Perf degradation (still in acceptable boundaries) for WS Security for EAP 6.x releases
Perf degradation (still in acceptable boundaries) for WS Security for EAP 6.x...
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alessio Soldano
Rostislav Svoboda
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 08:24 EST by Rostislav Svoboda
Modified: 2014-07-17 09:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 09:28:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rostislav Svoboda 2013-11-04 08:24:11 EST
During EAP 6.x releases I noticed small degradations in performance of WS Security. EAP 6.0.0 GA contains CXF 2.4.6, current EAP 6.2.0 ER7 contains CXF 2.7.7. Current results are still in 5 % range for acceptable degradation. 

We should focus on wsse improvements if possible. There were bigger changes with EAP 6.1.0 GA when several concurrency issues had to be fixed - so we are working properly but little bit slower.


I checked all GA releases running against productized JBossWS CXF client 4.2.2.
Biggest degradation for wsse comes with EAP 6.1.0 GA. 

Providing data for combination jbossws-cxf-client 4.2.2 against EAP 6.2.0 ER7 and 6.0.0 GA. So these numbers reflect perf changes on server side.

Test 620 ER7		Clients	Requests by client	Requests per second
wsse.SimpleSignEncryptTest 80	5000			747
wsse.SimpleSignTest	   80	5000			1821.73

EAP 600 #1	EAP 600 #2	EAP 600 #3	EAP 600 #4
777.54		759.69		775.78		757.9
1918.62		1872.6		1930.78		1859.51
			
0.960722278	0.983295818	0.9629018536	0.9856181554
0.9495001616	0.9728345616	0.9435202353	0.9796828197



Data taken from https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Performance/job/eap-6x-ws-perf-load-security/ and https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Performance/job/eap-6x-ws-perf-load-security-600/
Comment 1 Alessio Soldano 2013-11-05 13:01:12 EST
Rostislav, please provide data for EAP 6.1. I have the feeling the perf degradation is pretty much all in the 6.0->6.1 upgrade.
Comment 2 Rostislav Svoboda 2013-11-06 02:47:07 EST
Agree with you, as I said in description there were bigger changes with EAP 6.1.0 GA when several concurrency issues had to be fixed - so we are working properly but little bit slower.

Working on data from EAP 6.1.0 GA - created job for it https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/eap-6x-ws-perf-load-security-610/

I already had these numbers bud I deleted them and kept just 600 :)
Comment 3 Rostislav Svoboda 2013-11-06 04:03:51 EST
EAP 610 #1	EAP 610 #2	EAP 610 #3	EAP 610 #4
749.42		746.49		746.85		731.83
1793.26		1829.61		1796.78		1758.92

Comparison: EAP 620 ER7 result / EAP 610 #X			
0.9967708361	1.0006831974	1.0002008435	1.0207288578
1.0158761139	0.9956930712	1.0138859515	1.0357094126

Do you want 6.0.1 GA data too ?
Comment 4 Alessio Soldano 2013-11-06 04:14:25 EST
If it's not too much effort, yes, 6.0.1.GA data would be interesting, as the 610 data above confirm our claims that the perf degradation is not in the 6.1.0->6.2.0 move.
Comment 5 Rostislav Svoboda 2013-11-06 05:46:15 EST
EAP 601 #1	EAP 601 #2	EAP 601 #3	EAP 601 #4
772.26		776.58		769.59		776.14
1905.08		1904.49		1888.3		1909.96

Comparison: EAP 620 ER7 result / EAP 601#X
0.9672908088	0.9619099127	0.970646708	0.9624552271
0.9562485565	0.9565447968	0.9647460679	0.9538053153

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-Performance/job/eap-6x-ws-perf-load-security-601/

EAP 600 and 601 have quite similar results, the change happened with EAP 610.
Comment 6 Rostislav Svoboda 2014-07-17 09:28:51 EDT
Closing, CXF upstream has moved towards streaming approach for WS Security. This will improve performance of WS Security. Mentioned degradation is in acceptable boundaries.

Note You need to log in before you can comment on or make changes to this bug.